#ifndef _Handle_PGeom_Point_HeaderFile
#define _Handle_PGeom_Point_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Geometry_HeaderFile
#include <Handle_PGeom_Geometry.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Geometry);
class PGeom_Point;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_Point);

class Handle(PGeom_Point) : public Handle(PGeom_Geometry) {
  public:

    Handle(PGeom_Point)():Handle(PGeom_Geometry)() {} 
    Handle(PGeom_Point)(const Handle(PGeom_Point)& aHandle) : Handle(PGeom_Geometry)(aHandle) 
     {
     }

    Handle(PGeom_Point)(const PGeom_Point* anItem) : Handle(PGeom_Geometry)((PGeom_Geometry *)anItem) 
     {
     }

    Handle(PGeom_Point)& operator=(const Handle(PGeom_Point)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_Point)& operator=(const PGeom_Point* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_Point* operator->() const 
     {
      return (PGeom_Point *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_Point) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
